#include <Servo.h> 

// Пин для сервопривода
int servoPin = 3;
// Создаем объект
Servo Servo1;

void setup (){
  Serial.begin(9600); 
  pinMode(A0, INPUT); // к входу A0 подключаем потенциометр
  pinMode(A1, INPUT); // к входу A1 подключаем gpu
  Servo1.attach(servoPin);
}

void loop (){ 
   int valuePotentiometer = analogRead(A0); // считываем данные с порта A0
   int valueGPU = digitalRead(A1);    
   char varJson[64];
   sprintf(varJson, "{\"valuePotentiometer\": %d, \"valueGPU\": %d}", valuePotentiometer, valueGPU);
   Serial.println(varJson);   

   Servo1.write(valuePotentiometer / 12);
//   // 0 градусов
//  Servo1.write(0);
//  delay(1000);
//  // 90 градусов
//  Servo1.write(90);
//  delay(1000);
//  // 180 градусов
//  Servo1.write(180);
//  delay(1000); 
} 
